//Sensor humedad suelo modo análogo

const int sensorPin = A0; //Define el pin análogo 0 del Arduino como pin de conexión del sensor
 
//configuraciones globales
void setup() { //Sintaxis para iniciar las configuraciones
   Serial.begin(9600); //Se inicia el monitor serial a 9600 baudios/s
   pinMode(sensorPin,INPUT); //Se define el pin de conexión del sensor como entrada
}

//Comienza la iteración del programa
void loop() //Sintaxis para inciar la iteración
{
   int humedad = analogRead(sensorPin); //Se guarda en la variable como entero (integer) el valor leído en el pin donde se conectó el sensor
   Serial.println(humedad); //Mostrar valor de la variable en el monitor serial
   delay(100); //Pausa de 100 milisegundos (0.1 segundos) antes de comenzar una nueva iteración del programa
}
