//Sensor PIR con encendido de un LED
//El siguiente programa enciende un LED mientras dure la señal de detección de movimiento. Al finalizar la señal, el led se apaga.

const int ledPin = 8; //Define el pin digital 8 del Arduino como pin de conexión del LED 
const int PIRPin = 9; //Define el pin digital 9 del Arduino como pin de conexión del sensor PIR

//configuraciones globales
void setup() { //Sintaxis para iniciar las configuraciones
  pinMode(PIRPin,INPUT); //Se define el pin de conexión del sensor PIR como entrada
  pinMode(ledPin,OUTPUT); //Se define el pin de conexión del LED como salida
}

//Comienza la iteración del programa
void loop(){ //Sintaxis para inciar la iteración
  int value = 0; //Se define una variable como número entero (integer) inciada en 0
  value = digitalRead(PIRPin); //Se guarda en la variable el valor leído en el pin donde se conectó el sensor PIR

//Comienza ciclo condicional
  if (value == HIGH) { //Si la variable guardó un valor alto (detectó movimiento)
    digitalWrite(ledPin,HIGH); //Se activa con valor alto (cercano 5V) el pin donde se conectó el led
  }
  else { //Si no se cumple lo anterior (no detectó movimiento)
    digitalWrite(ledPin,LOW); //Se activa con valor bajo (cercano 0V) el pin donde se conectó el led
  }
}
