//Sensor infrarrojo con encendido de un LED

const int ledPin = 8; //Define el pin digital 8 del Arduino como pin de conexión del LED 
const int sensorPin = 9; //Define el pin digital 9 del Arduino como pin de conexión del sensor

//configuraciones globales
void setup() { //Sintaxis para iniciar las configuraciones
  pinMode(sensorPin,INPUT); //Se define el pin de conexión del sensor como entrada
  pinMode(ledPin,OUTPUT); //Se define el pin de conexión del LED como salida
}

//Comienza la iteración del programa
void loop(){ //Sintaxis para inciar la iteración
  int value = 0; //Se define una variable como número entero (integer) inciada en 0
  value = digitalRead(sensorPin); //Se guarda en la variable el valor leído en el pin donde se conectó el sensor

//Comienza ciclo condicional
  if (value == LOW) { //Si la variable guardó un valor bajo (cercano a 0V)
    digitalWrite(ledPin,HIGH); //Se activa con valor alto (cercano 5V) el pin donde se conectó el led
  }
  else { //Si no se cumple lo anterior
    digitalWrite(ledPin,LOW); //Se activa con valor bajo (cercano 0V) el pin donde se conectó el led
  }
  delay(100); //Pausa de 100 milisegundos (0.1 segundos) antes de comenzar una nueva iteración del programa
}
